#include "Timer.h"

Timer::Timer()
{
	klatki = 0;
	odswiez = 3500;
	ostatniCz = 0;
	FPS = 60;
}

void Timer::odsw()
{
	klatki++;

	if (GetTickCount() - ostatniCz > odswiez)
	{
		FPS = ((double)klatki / (double)(10 * GetTickCount() - ostatniCz))*1000.0;
		ostatniCz = GetTickCount();
		klatki = 0;
	}
}

double Timer::pobFPS()
{
	return FPS;
}
